Subject: Re: Missing proto for sigaction() in <sys/signal.h>
From: [email-masked] (Jim Balter)

28 Mar 1997 11:07:41 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Mumit Khan <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

Jim Balter wrote:
> 
> Mumit Khan wrote:
> >
> > Jim Balter <[email-masked]> writes:
> > >
> > > [<signal.h> actually; POSIX doesn't mandate <sys/sygnal.h>]
> > >
> > > Aside from sigaction, the following symbols mandated by POSIX are
> > > missing from signal.h:
> > >
> > > SIGCONT

> *with the POSIX standard in my hand*

Well, I had it in hand, but I was reading the wrong section.
As I should be sensitive to from my time on the ANSI C committee,
appendices are not part of the standard, so the section that lists
the contents of signal.h is not a mandate.  In fact, it is not necessary
to define SIGCONT (or the other job control signals: SIGSTOP, SIGTSTP,
SIGTTIN, SIGTTOU) on systems that don't support job control.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".